summaryrefslogtreecommitdiffstats
path: root/source/l/eigen2/eigen2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/eigen2/eigen2.SlackBuild')
-rwxr-xr-xsource/l/eigen2/eigen2.SlackBuild22
1 files changed, 17 insertions, 5 deletions
diff --git a/source/l/eigen2/eigen2.SlackBuild b/source/l/eigen2/eigen2.SlackBuild
index 4477b13cf..474e5ae91 100755
--- a/source/l/eigen2/eigen2.SlackBuild
+++ b/source/l/eigen2/eigen2.SlackBuild
@@ -22,10 +22,19 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=r948353
-ARCH=${ARCH:-x86_64}
+VERSION=2.0.10
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-eigen2
@@ -39,14 +48,17 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP || exit 1
-rm -rf eigen2-$VERSION
-tar xvf $CWD/eigen2-$VERSION.tar.bz2 || exit 1
-cd eigen2-$VERSION || exit 1
+rm -rf eigen-$VERSION
+tar xvf $CWD/eigen2-$VERSION.tar.?z* || exit 1
+cd eigen || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \